# eGPU switch script

Basic script that sets xorg config for an eGPU, if an eGPU is found.

## Usage

1. Place both `egpu.sh` and `egpu.conf` somewhere on your system. For example in `/opt/config`
2. Edit `egpu.sh` according to the comment in the file. So it knows how to find your eGPU and where to copy the config to and from.
3. Edit `egpu.conf` to add your GPU's PCI-E address. See [Arch wiki](https://wiki.archlinux.org/title/External_GPU#Xorg_rendered_on_eGPU,_PRIME_display_offload_to_iGPU) if you are unsure how to find your PCI-E address.
4. Make `egpu.sh` run on boot before your display manager and xorg starts.

How to run `egpu.sh` before your display manager varies from system to system. On systemd you can create a simple service while that runs it, containing `Before=<your display manager>`. On runit, it can be achieved by putting the script in `/etc/runit/core-services`.
